Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453294 - eclipse crashes with xcb_lock.c:77: _XGetXCBBuffer: Assertion failed
Summary: eclipse crashes with xcb_lock.c:77: _XGetXCBBuffer: Assertion failed
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 9
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-29 08:01 UTC by Uri Shohet
Modified: 2009-02-16 17:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-16 17:04:17 UTC


Attachments (Terms of Use)

Description Uri Shohet 2008-06-29 08:01:54 UTC
Description of problem:
Eclipse crashes intermittently when editing Crystal reports

Version-Release number of selected component (if applicable):
3.3.2 Build id: M20080221-1800

Sun JDK version "1.6.0_06"
Java(TM) SE Runtime Environment (build 1.6.0_06-b02)
Java HotSpot(TM) Server VM (build 10.0-b22, mixed mode)


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

log4j:WARN No appenders could be found for logger
(com.crystaldecisions.reports.common.engine.config).
log4j:WARN Please initialize the log4j system properly.
Crystal Report Viewer 11.8.4.1197
java.vendor = Sun Microsystems Inc.
java.version = 1.6.0_06
os.name = Linux
os.version = 2.6.25.6-55.fc9.i686
os.arch = i386
Crystal Report Viewer 11.8.4.1197
java.vendor = Sun Microsystems Inc.
java.version = 1.6.0_06
os.name = Linux
os.version = 2.6.25.6-55.fc9.i686
os.arch = i386
eclipse: xcb_lock.c:77: _XGetXCBBuffer: Assertion `((int) ((xcb_req) -
(dpy->request)) >= 0)' failed.
Locking assertion failure.  Backtrace:
#0 /usr/lib/libxcb-xlib.so.0 [0xdb8767]
#1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_lock+0x2e) [0xdb890e]
#2 /usr/lib/libX11.so.6 [0x6e37109]
#3 /usr/lib/libX11.so.6(XUngrabPointer+0x25) [0x6e2cd55]
#4 /usr/lib/libgdk-x11-2.0.so.0(gdk_display_pointer_ungrab+0xba) [0x68c4f54]
#5 /usr/lib/libgdk-x11-2.0.so.0(gdk_pointer_ungrab+0x1c) [0x689bdd9]
#6 /usr/lib/gtk-2.0/modules/libgnomebreakpad.so [0x12b36e]
#7
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so(_ZN15google_breakpad16ExceptionHandler21InternalWriteMinidumpEijPP10sigcontext+0x43)
[0x12b893]
#8
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so(_ZN15google_breakpad16ExceptionHandler15HandleExceptionEi+0xa3)
[0x12be23]
#9 [0x110400]
#10 /lib/libc.so.6(abort+0x188) [0x6bd3028]
#11 /lib/libc.so.6(__assert_fail+0xee) [0x6bca57e]
#12 /usr/lib/libX11.so.6 [0x6e36f14]
#13 /usr/lib/libX11.so.6 [0x6e370ed]
#14 /usr/lib/libX11.so.6(_XReply+0x136) [0x6e37e56]
#15 /usr/lib/libX11.so.6(XQueryPointer+0x6d) [0x6e24f6d]
#16 /usr/lib/libgdk-x11-2.0.so.0 [0x68ef59e]
#17 /usr/lib/libgdk-x11-2.0.so.0(gdk_display_get_window_at_pointer+0xaa) [0x689c134]
#18 /usr/lib/libgdk-x11-2.0.so.0(gdk_window_at_pointer+0x23) [0x68bd559]
#19
/home/ushohet/eclipse/configuration/org.eclipse.osgi/bundles/243/1/.cp/libswt-pi-gtk-3349.so(Java_org_eclipse_swt_internal_gtk_OS__1gdk_1window_1at_1pointer+0x78)
[0xc0775d]
eclipse: xcb_lock.c:77: _XGetXCBBuffer: Assertion `((int) ((xcb_req) -
(dpy->request)) >= 0)' failed.
Aborted

Comment 1 Andrew Overholt 2008-06-30 12:41:18 UTC
Tom:  this is a bug in the Sun JDK, right?

Comment 2 Andrew Overholt 2009-02-13 20:46:22 UTC
Lillian:  have you heard of this bug?  I'm 99.9% sure it's a bug in the Sun JDK.  We may even patch around it in OpenJDK.  I just want to confirm this isn't an Eclipse bug so I can close this.

Comment 3 Lillian Angel 2009-02-13 20:49:22 UTC
Yeah, this was fixed in JDK 1.6, and OpenJDK. It may still possibly be around in JDK 1.5, but I doubt it.


Note You need to log in before you can comment on or make changes to this bug.